<template>
    <div class="content__left">
        <top-plans-chart :plans='stats.plans'/>
        <top-payments-chart :payments='stats.payments' v-if="stats.balances_type === 'shared'"/>
        <balances-chart :balances='stats.balances' v-else-if="stats.balances_type === 'divided'"/>
        <third-block :stats='stats.time'/>
        <daily-block :stats='stats.daily'/>
        <last-events-block :events='stats.events'/>
        <div class="left__top--six wow fadeInUp">
            <div class="six__flex">
                <div class="six__svg">
                    <svg>
                        <use xlink:href="/img/sprite.svg#network"/>
                    </svg>
                </div>
                <div class="six__right">
                    <p class="text-right">{{ $t('dashboard.investors.title') }}</p>
                    <p class="text-active">
                        <span class="blue">{{ stats.investors.active }} {{ $t('ui.people') }}</span>
                        {{ stats.investors.total }} {{ $t('ui.people') }}
                    </p>
                    <div class="text-activeBlue"><span class="blueActive"/>{{ $t('dashboard.investors.active') }}</div>
                    <div class="text-activeBlue"><span class="grayActive"/>{{ $t('dashboard.investors.total') }}</div>
                </div>
            </div>
        </div>
        <div class="left__top--seven wow fadeInUp">
            <div class="seven__left">
                <svg class="loading">
                    <use xlink:href="/img/sprite.svg#loading"/>
                </svg>
                <p class="text-left">
            <span class="anim info" tooltip="Lorem ipsum dolor sit amet, consectetur adipisicing elit.">
              <svg >
                <use xlink:href="/img/sprite.svg#information-circular-button-symbol"/>
              </svg>
            </span>
                    {{ $t('dashboard.waiting_refills') }}
                </p>
            </div>
            <p class="seven__right">$ {{ waiting_refills }}</p>
        </div>
        <div class="left__top--eight wow fadeInUp">
            <p class="eight__title">{{ $t('dashboard.statistics') }}</p>
            <div class="eight__element" v-for="user in stats.top_refs">
                <div class="eight__element--right">
                    <div class="blue-insignia">
                        <svg class="insignia">
                            <use xlink:href="/img/sprite.svg#insignia"/>
                        </svg>
                    </div>
                    <p class="eight_bold">{{ user.name }} <span class="money">{{ currencies.format(user.balance, user.currency) }}</span></p>
                </div>
                <div class="eight__friends">
                    <svg class="friends">
                        <use xlink:href="/img/sprite.svg#network"/>
                    </svg>
                    <p class="number-friend">{{ user.referrals_count }}</p>
                </div>
                <p class="moneyBlue">- {{ currencies.formatInDefault(user.referrals_earned) }}</p>
            </div>
        </div>
        <referral-payments-chart :stats='stats.time_refs'/>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex';
	import TopPlansChart from '../components/dashboard/TopPlansChart';
	import TopPaymentsChart from '../components/dashboard/TopPaymentsChart';
	import BalancesChart from '../components/dashboard/BalancesChart';
	import ThirdBlock from '../components/dashboard/ThirdBlock';
	import DailyBlock from '../components/dashboard/DailyBlock';
	import LastEventsBlock from '../components/dashboard/LastEventsBlock';
	import ReferralPaymentsChart from '../components/charts/ReferralPaymentsChart';
	import currencies from "../currencies";

	export default {
		name: "Dashboard",
        data(){
			return {
				stats: {
					plans: undefined,
					payments: undefined,
					balances: undefined,
                    balances_type: 'shared',
					time: undefined,
					daily: undefined,
					investors: {
						active: 0,
						total: 0,
                    },
					events: undefined,
					waiting_refills: 0,
					top_refs: undefined,
					time_refs: undefined,
                }
            }
        },
        computed: {
			...mapGetters([
				'axios'
            ]),
            currencies: () => currencies,
			waiting_refills(){
				return Number.parseFloat(this.stats.waiting_refills || 0).toFixed(2)
            }
        },
        watch: {
		    $route(to, from){
		        if(to.name === 'dashboard')
		            this.load();
            }
        },
        methods: {
			load(){
				this.axios
                    .get('dashboard')
                    .then(resp => resp.data)
                    .then(stats => this.stats = stats);
            }
        },
        components: {
			TopPlansChart,
			TopPaymentsChart,
            BalancesChart,
			ThirdBlock,
			DailyBlock,
			LastEventsBlock,
			ReferralPaymentsChart,
        },
        mounted() {
		    setTimeout(() => this.load(), 2000);
			//this.load();
		},
	}
</script>

<style scoped>

</style>
